# OcrElement class abstract

Base class for units of text, e.g. glyphs, words, lines, blocks, pages.

Implementers
  - Block
  - Glyph
  - Line
  - Page
  - Word

## Constructors

OcrElement.new({required String text, required double confidence, required List<Point<double>> roi})
OcrElement.fromJson(Map<String, dynamic> json)
  factory

## Properties

confidence → double
  Text confidence. Range is `[0-1]`.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
roi → List<Point<double>>
  Quad where the text was found in image coordinates. The order of the points is clockwise starting from the top left.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
text → String
  The recognized text.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited